
Foreman - Refactor #11692

Update ace-rails-ap to 4.x

09/04/2015 05:25 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Packaging   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2698

  

Description

ace-rails-ap was added in #11625 at version 3, but the latest is 4.  It has some changes to precompilation, so the worker files are

automatically precompiled.

The precompilation list (config/environments/production.rb) ought to be tidied at the same time, as many of the files being

precompiled probably aren't needed as they're required into the main app.js via vendor/javascripts/vendor.js instead.

Related issues:

Related to Foreman - Refactor #11625: Make foreman ace editor reusable Closed 08/31/2015

Associated revisions

Revision 4901dd3c - 09/17/2015 05:17 AM - Walden Raines

Fixes #11692: update ace-rails-ap to 4.x.

http://projects.theforeman.org/issues/11692

Revision 312c758d - 09/17/2015 05:23 AM - Dominic Cleal

refs #11692 - update ace-rails-ap to 4.x

History

#1 - 09/04/2015 05:26 AM - Dominic Cleal

- Related to Refactor #11625: Make foreman ace editor reusable added

#2 - 09/09/2015 11:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2698 added

- Pull request deleted ()

#3 - 09/09/2015 11:40 AM - Walden Raines

- Assignee set to Walden Raines

#4 - 09/17/2015 05:17 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 09/17/2015 06:02 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4901dd3c27ad0037cd97942201f0bf935d7b9e27.
